<?php
$string = $_SERVER['QUERY_STRING'];

if(stristr($string, 'http') === FALSE && stristr($string, '/') === FALSE) {}
else
        die();

$string = "$_SERVER[QUERY_STRING]";

if (
        stristr($string, '<') === FALSE &&
        stristr($string, '>') === FALSE &&
        stristr($string, '%3C') === FALSE &&
        stristr($string, '%3E') === FALSE &&
        stristr($string, '"') === FALSE &&
        stristr($string, '%22') === FALSE) {}
else
        die();

$string = $_GET['page'];
if ($string[0] == '/')
        die();

$string = $_GET['back'];
if ($string[0] == '/')
        die();

$protect = 1;
?>
